%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/google/uuid
Version:                1.3.0

%gometa

%global common_description %{expand:
The Uuid package generates and inspects UUIDs based on RFC 4122 and DCE 1.1:
Authentication and Security Services.

This package is based on the github.com/pborman/uuid package (previously named
code.google.com/p/go-uuid). It differs from these earlier packages in that a
UUID is a 16 byte array rather than a byte slice. One loss due to this change is
the ability to represent an invalid UUID (vs a NIL UUID).}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md CONTRIBUTORS README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Go library to generate and inspect UUIDs

License:        BSD-3-Clause
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.3.0-2
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
